libzypp 17.37.10

progressobserver.h File Reference
`#include <zypp-core/zyppng/base/Base>`
`#include <zypp-core/zyppng/base/Signals>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <optional>`
`#include <string>`
`#include <zypp-core/ui/progressdata.h>`

Go to the source code of this file.

## Classes
class | zyppng::ProgressObserver
struct | zyppng::operators::detail::progress_helper< mode >
struct | zyppng::operators::detail::progress_helper< progress_helper_mode::Start >
struct | zyppng::operators::detail::progress_helper< progress_helper_mode::Finish >

## Namespaces
namespace | zyppng
namespace | zyppng::operators
namespace | zyppng::operators::detail

## Enumerations
enum class | zyppng::operators::detail::progress_helper_mode { zyppng::operators::detail::Start , zyppng::operators::detail::Increase , zyppng::operators::detail::Set , zyppng::operators::detail::Finish }

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProgressObserver)
auto | zyppng::operators::startProgress (ProgressObserverRef progressObserver)
auto | zyppng::operators::incProgress (ProgressObserverRef progressObserver, double progrIncrease=1.0, std::optional< std::string > newStr={})
auto | zyppng::operators::setProgress (ProgressObserverRef progressObserver, double progrValue, std::optional< std::string > newStr={})
auto | zyppng::operators::setProgressLabel (ProgressObserverRef progressObserver, std::string newStr)
auto | zyppng::operators::finishProgress (ProgressObserverRef progressObserver, ProgressObserver::FinishResult result=ProgressObserver::Success)